%define	name	sg3_utils
%define	version	1.04
%define	release	1mdk

Summary:	Utils for Linux's SCSI generic driver devices + raw devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.torque.net/sg/u_index.html
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Group:		System/Kernel and hardware
#Requires:	
#BuildRequires:	
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Collection of tools for SCSI devices that use the Linux SCSI
generic (sg) interface. Includes utilities to copy data based on
"dd" syntax and semantics (called sg_dd, sgp_dd and sgm_dd); check
INQUIRY data and associated pages (sg_inq); check mode and log
pages (sg_modes and sg_logs); spin up and down disks (sg_start);
do self tests (sg_senddiag); and various other functions. See the
README and CHANGELOG files. Requires the lk 2.4 series or better.
[In the lk 2.5 development series many of these utilities can be
used on the primary block device name (e.g. /dev/sda).]

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%prep

%setup -q

%build

%make CFLAGS="%{optflags} -D_REENTRANT -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/sbin
install -d %{buildroot}%{_mandir}/man8

install -m755 sg_dd %{buildroot}/sbin/
install -m755 sg_scan %{buildroot}/sbin/
install -m755 sginfo %{buildroot}/sbin/
install -m755 sg_start %{buildroot}/sbin/
install -m755 sg_rbuf %{buildroot}/sbin/
install -m755 sg_readcap %{buildroot}/sbin/
install -m755 sgp_dd %{buildroot}/sbin/
install -m755 sgm_dd %{buildroot}/sbin/
install -m755 sg_map %{buildroot}/sbin/
install -m755 sg_turs %{buildroot}/sbin/
install -m755 sg_test_rwbuf %{buildroot}/sbin/
install -m755 sg_inq %{buildroot}/sbin/
install -m755 scsi_devfs_scan %{buildroot}/sbin/
install -m755 sg_read %{buildroot}/sbin/
install -m755 sg_reset %{buildroot}/sbin/
install -m755 sg_modes %{buildroot}/sbin/
install -m755 sg_logs %{buildroot}/sbin/
install -m755 sg_senddiag %{buildroot}/sbin/

install -m644 *.8 %{buildroot}%{_mandir}/man8/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc CREDITS README README.sg_start CHANGELOG INSTALL
%attr(755,root,root) /sbin/sg_dd
%attr(755,root,root) /sbin/sg_scan
%attr(755,root,root) /sbin/sginfo
%attr(755,root,root) /sbin/sg_start
%attr(755,root,root) /sbin/sg_rbuf
%attr(755,root,root) /sbin/sg_readcap
%attr(755,root,root) /sbin/sgp_dd
%attr(755,root,root) /sbin/sgm_dd
%attr(755,root,root) /sbin/sg_map
%attr(755,root,root) /sbin/sg_turs
%attr(755,root,root) /sbin/sg_test_rwbuf
%attr(755,root,root) /sbin/sg_inq
%attr(755,root,root) /sbin/scsi_devfs_scan
%attr(755,root,root) /sbin/sg_read
%attr(755,root,root) /sbin/sg_reset
%attr(755,root,root) /sbin/sg_modes
%attr(755,root,root) /sbin/sg_logs
%attr(755,root,root) /sbin/sg_senddiag

%{_mandir}/man8/*

%changelog
* Mon Jul 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.04-1mdk
- initial cooker contrib
- used parts of the spec file by Doug Gilbert

